import { ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { CounterService } from './counter.service';
export declare class HttpClientBusyDirective implements OnInit, OnDestroy {
    private el;
    private renderer;
    private counter;
    private autoUnsubscribe;
    private httpClientBusyConfig;
    httpClientBusy: HttpClientBusyConfig;
    constructor(el: ElementRef, renderer: Renderer2, counter: CounterService);
    private _updateStatus;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
export interface HttpClientBusyConfig {
    busy?: string;
    idle?: string;
}
//# sourceMappingURL=httpclient-busy.directive.d.ts.map